summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-emulation/pose/pose-3.5-r1.ebuild11
-rw-r--r--app-emulation/qemu/qemu-0.5.1.ebuild23
-rw-r--r--app-emulation/qemu/qemu-0.5.2.ebuild23
-rw-r--r--app-emulation/qemu/qemu-0.5.3.ebuild26
-rw-r--r--app-emulation/qemu/qemu-0.5.4.ebuild36
-rw-r--r--app-emulation/qemu/qemu-0.5.5.ebuild48
-rw-r--r--app-emulation/spectemu/spectemu-0.9.4.ebuild39
-rw-r--r--app-emulation/tiger/tiger-0.8.ebuild10
-rw-r--r--app-emulation/uae/uae-0.8.22.ebuild6
-rw-r--r--app-emulation/uae/uae-0.8.23_pre20040129.ebuild4
-rw-r--r--app-emulation/uae/uae-0.8.25_pre20040302.ebuild4
-rw-r--r--app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild8
-rw-r--r--app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild8
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild13
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild4
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild4
-rw-r--r--app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild14
-rw-r--r--app-emulation/winesetuptk/winesetuptk-0.7.ebuild8
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild27
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild4
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild4
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild4
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild4
-rw-r--r--app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild4
-rw-r--r--app-emulation/xcopilot/xcopilot-0.6.6.ebuild20
25 files changed, 175 insertions, 181 deletions
diff --git a/app-emulation/pose/pose-3.5-r1.ebuild b/app-emulation/pose/pose-3.5-r1.ebuild
index c05d702b3b3b..bfa109b1db55 100644
--- a/app-emulation/pose/pose-3.5-r1.ebuild
+++ b/app-emulation/pose/pose-3.5-r1.ebuild
@@ -1,23 +1,22 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/pose/pose-3.5-r1.ebuild,v 1.9 2004/06/24 22:33:57 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/pose/pose-3.5-r1.ebuild,v 1.10 2004/06/27 23:05:52 vapier Exp $
S=${WORKDIR}/Emulator_Src_3.5
FLTK_PV=1.0.11
FLTK_S=${WORKDIR}/fltk-${FLTK_PV}
+DESCRIPTION="Palm OS Emulator"
HOMEPAGE="http://www.palmos.com/dev/tools/emulator/"
SRC_URI="http://www.palmos.com/dev/tools/emulator/sources/emulator_src_3.5.tar.gz
ftp://www.easysw.com/pub/fltk/${FLTK_PV}/fltk-${FLTK_PV}-source.tar.bz2"
-DESCRIPTION="Palm OS Emulator"
-
-DEPEND="virtual/glibc"
-
-KEYWORDS="x86"
LICENSE="GPL-2"
SLOT="0"
+KEYWORDS="x86"
IUSE=""
+DEPEND="virtual/libc"
+
src_unpack() {
unpack emulator_src_3.5.tar.gz
unpack fltk-${FLTK_PV}-source.tar.bz2
diff --git a/app-emulation/qemu/qemu-0.5.1.ebuild b/app-emulation/qemu/qemu-0.5.1.ebuild
index 47df8a1cba68..2f1dbae85cd9 100644
--- a/app-emulation/qemu/qemu-0.5.1.ebuild
+++ b/app-emulation/qemu/qemu-0.5.1.ebuild
@@ -1,27 +1,28 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.1.ebuild,v 1.6 2004/06/24 22:34:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.1.ebuild,v 1.7 2004/06/27 23:06:17 vapier Exp $
DESCRIPTION="Multi-platform & multi-targets dynamic translator"
-SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
-KEYWORDS="x86 ~ppc -alpha -sparc"
-SLOT="0"
LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="x86 ~ppc -alpha -sparc"
IUSE=""
+RESTRICT="nostrip"
-DEPEND="virtual/glibc
- media-libs/libsdl"
+DEPEND="virtual/libc
+ media-libs/libsdl"
RDEPEND=""
-RESTRICT="nostrip"
-
TARGET_LIST="arm-user i386-user i386-softmmu ppc-user sparc-user"
-src_compile () {
- ./configure --prefix=/usr \
- --target-list="${TARGET_LIST}" || die "could not configure"
+src_compile() {
+ ./configure \
+ --prefix=/usr \
+ --target-list="${TARGET_LIST}" \
+ || die "could not configure"
make || die "make failed"
}
diff --git a/app-emulation/qemu/qemu-0.5.2.ebuild b/app-emulation/qemu/qemu-0.5.2.ebuild
index 2b87ed19484a..5ca2e8015fa7 100644
--- a/app-emulation/qemu/qemu-0.5.2.ebuild
+++ b/app-emulation/qemu/qemu-0.5.2.ebuild
@@ -1,27 +1,28 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.2.ebuild,v 1.5 2004/06/24 22:34:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.2.ebuild,v 1.6 2004/06/27 23:06:17 vapier Exp $
DESCRIPTION="Multi-platform & multi-targets dynamic translator"
-SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
-KEYWORDS="x86 ~ppc -alpha -sparc"
-SLOT="0"
LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="x86 ~ppc -alpha -sparc"
IUSE=""
+RESTRICT="nostrip"
-DEPEND="virtual/glibc
- media-libs/libsdl"
+DEPEND="virtual/libc
+ media-libs/libsdl"
RDEPEND=""
-RESTRICT="nostrip"
-
TARGET_LIST="arm-user i386-user i386-softmmu ppc-user sparc-user"
-src_compile () {
- ./configure --prefix=/usr \
- --target-list="${TARGET_LIST}" || die "could not configure"
+src_compile() {
+ ./configure \
+ --prefix=/usr \
+ --target-list="${TARGET_LIST}" \
+ || die "could not configure"
make || die "make failed"
}
diff --git a/app-emulation/qemu/qemu-0.5.3.ebuild b/app-emulation/qemu/qemu-0.5.3.ebuild
index 61f6d2e7e9c4..b918def2c396 100644
--- a/app-emulation/qemu/qemu-0.5.3.ebuild
+++ b/app-emulation/qemu/qemu-0.5.3.ebuild
@@ -1,32 +1,32 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.3.ebuild,v 1.5 2004/06/24 22:34:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.3.ebuild,v 1.6 2004/06/27 23:06:17 vapier Exp $
DESCRIPTION="Multi-platform & multi-targets dynamic translator"
-SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
-KEYWORDS="~x86 ~ppc -alpha -sparc"
-SLOT="0"
LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86 ~ppc -alpha -sparc"
IUSE=""
+RESTRICT="nostrip"
-DEPEND="virtual/glibc
- media-libs/libsdl"
+DEPEND="virtual/libc
+ media-libs/libsdl"
RDEPEND=""
-RESTRICT="nostrip"
-
TARGET_LIST="arm-user i386-user ppc-user sparc-user" #i386-softmmu
#RUNTIME_PATH="/emul/gnemul/"
-src_compile () {
- ./configure --prefix=/usr \
- --target-list="${TARGET_LIST}" || die "could not configure"
- make || die "make failed"
-
+src_compile() {
# --interp-prefix=${RUNTIME_PATH}/qemu-%M
+ ./configure \
+ --prefix=/usr \
+ --target-list="${TARGET_LIST}" \
+ || die "could not configure"
+ make || die "make failed"
}
src_install() {
diff --git a/app-emulation/qemu/qemu-0.5.4.ebuild b/app-emulation/qemu/qemu-0.5.4.ebuild
index 9cb4a373b369..921d1ba55dae 100644
--- a/app-emulation/qemu/qemu-0.5.4.ebuild
+++ b/app-emulation/qemu/qemu-0.5.4.ebuild
@@ -1,46 +1,46 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.4.ebuild,v 1.3 2004/06/24 22:34:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.4.ebuild,v 1.4 2004/06/27 23:06:17 vapier Exp $
inherit eutils
DESCRIPTION="Multi-platform & multi-targets dynamic translator"
-SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
-KEYWORDS="~x86 ~ppc -alpha -sparc"
-SLOT="0"
LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86 ~ppc -alpha -sparc"
IUSE=""
+RESTRICT="nostrip"
-DEPEND="virtual/glibc
- media-libs/libsdl"
+DEPEND="virtual/libc
+ media-libs/libsdl"
RDEPEND=""
-RESTRICT="nostrip"
-
TARGET_LIST="arm-user i386-user ppc-user sparc-user" #i386-softmmu
#RUNTIME_PATH="/emul/gnemul/"
-src_unpack () {
+src_unpack() {
unpack ${A}
cd ${S}
epatch ${FILESDIR}/${P}-jocelyn-mayer-ppc.patch
}
-
-src_compile () {
- ./configure --prefix=/usr \
- --target-list="${TARGET_LIST}" || die "could not configure"
- make || die "make failed"
-
+src_compile() {
# --interp-prefix=${RUNTIME_PATH}/qemu-%M
+ ./configure \
+ --prefix=/usr \
+ --target-list="${TARGET_LIST}" \
+ || die "could not configure"
+ make || die "make failed"
}
src_install() {
- make install prefix=${D}/usr \
- bindir=${D}/usr/bin \
- sharedir=${D}/usr/share/qemu \
+ make install \
+ prefix=${D}/usr \
+ bindir=${D}/usr/bin \
+ sharedir=${D}/usr/share/qemu \
mandir=${D}/usr/share/man || die
}
diff --git a/app-emulation/qemu/qemu-0.5.5.ebuild b/app-emulation/qemu/qemu-0.5.5.ebuild
index 2cc4099c7542..2d71fcd4a870 100644
--- a/app-emulation/qemu/qemu-0.5.5.ebuild
+++ b/app-emulation/qemu/qemu-0.5.5.ebuild
@@ -1,49 +1,53 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.5.ebuild,v 1.5 2004/06/24 22:34:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-0.5.5.ebuild,v 1.6 2004/06/27 23:06:17 vapier Exp $
inherit eutils
DESCRIPTION="Multi-platform & multi-targets dynamic translator"
-SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
HOMEPAGE="http://fabrice.bellard.free.fr/qemu/"
+SRC_URI="http://fabrice.bellard.free.fr/qemu/${P}.tar.gz"
-KEYWORDS="~x86 ~ppc -alpha -sparc"
-SLOT="0"
LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~x86 ~ppc -alpha -sparc"
IUSE="softmmu qemu-fast"
+RESTRICT="nostrip"
-DEPEND="virtual/glibc
- media-libs/libsdl"
+DEPEND="virtual/libc
+ media-libs/libsdl"
RDEPEND=""
-RESTRICT="nostrip"
-
-TARGET_LIST="arm-user i386-user ppc-user sparc-user" #i386-softmmu ppc-softmmu
-use softmmu && TARGET_LIST="${TARGET_LIST} i386-softmmu ppc-softmmu"
-use qemu-fast && TARGET_LIST="${TARGET_LIST} i386"
+set_target_list() {
+ TARGET_LIST="arm-user i386-user ppc-user sparc-user" #i386-softmmu ppc-softmmu
+ use softmmu && TARGET_LIST="${TARGET_LIST} i386-softmmu ppc-softmmu"
+ use qemu-fast && TARGET_LIST="${TARGET_LIST} i386"
+ export TARGET_LIST
+}
#RUNTIME_PATH="/emul/gnemul/"
-src_unpack () {
+src_unpack() {
unpack ${A}
cd ${S}
# epatch ${FILESDIR}/${P}-jocelyn-mayer-ppc.patch
}
-
-src_compile () {
- ./configure --prefix=/usr \
- --target-list="${TARGET_LIST}" || die "could not configure"
- make || die "make failed"
-
+src_compile() {
+ set_target_list
# --interp-prefix=${RUNTIME_PATH}/qemu-%M
+ ./configure \
+ --prefix=/usr \
+ --target-list="${TARGET_LIST}" \
+ || die "could not configure"
+ make || die "make failed"
}
src_install() {
- make install prefix=${D}/usr \
- bindir=${D}/usr/bin \
- sharedir=${D}/usr/share/qemu \
- docdir=${D}/usr/share/doc \
+ make install \
+ prefix=${D}/usr \
+ bindir=${D}/usr/bin \
+ sharedir=${D}/usr/share/qemu \
+ docdir=${D}/usr/share/doc \
mandir=${D}/usr/share/man || die
}
diff --git a/app-emulation/spectemu/spectemu-0.9.4.ebuild b/app-emulation/spectemu/spectemu-0.9.4.ebuild
index 85f97ada4c93..88f2e1318006 100644
--- a/app-emulation/spectemu/spectemu-0.9.4.ebuild
+++ b/app-emulation/spectemu/spectemu-0.9.4.ebuild
@@ -1,38 +1,36 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/spectemu/spectemu-0.9.4.ebuild,v 1.11 2004/06/24 22:34:29 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/spectemu/spectemu-0.9.4.ebuild,v 1.12 2004/06/27 23:06:49 vapier Exp $
-IUSE="X readline svga"
+### Several versions of specemu exist, xspect & vgaspect, utilising X11
+### and/or svgalib. libreadline provides optional runtime features.
+### The ./configure script automagically figures out which binaries to build
+### so the run/compiletime dependancies here are use dependant
DESCRIPTION="48k ZX Spectrum Emulator"
HOMEPAGE="http://kempelen.iit.bme.hu/~mszeredi/spectemu/spectemu.html"
-LICENSE="GPL-2 | LGPL-2"
SRC_URI="http://home.gwi.net/~plemon/sources/spectemu-0.94.tar.gz"
-KEYWORDS="x86 ~ppc"
+
+LICENSE="GPL-2 | LGPL-2"
SLOT="0"
-### Several versions of specemu exist, xspect & vgaspect, utilising X11
-### and/or svgalib. libreadline provides optional runtime features.
-### The ./configure script automagically figures out which binaries to build
-### so the run/compiletime dependancies here are use dependant
+KEYWORDS="x86 ~ppc"
+IUSE="X readline svga"
DEPEND="X? ( virtual/x11 )
readline? ( sys-libs/readline )"
RDEPEND="svga? ( media-libs/svgalib )"
-S=${WORKDIR}/spectemu-0.94/
+S=${WORKDIR}/spectemu-0.94
src_compile() {
-
-### First we'll set compiletime options for X11 & libreadline, there are no
-### switches for svgalib, if its installed, it'll build vgaspect. if not,
-### well... it wont!
-
+ ### First we'll set compiletime options for X11 & libreadline, there are no
+ ### switches for svgalib, if its installed, it'll build vgaspect. if not,
+ ### well... it wont!
local myflags
use X || myflags="${myflags} --with-x=no"
use readline || myflags="${myflags} --without-readline"
-### and no we'll configure & compile as appropriate
-
+ ### and no we'll configure & compile as appropriate
./configure \
--host=${CHOST} \
--prefix=/usr \
@@ -43,15 +41,12 @@ src_compile() {
emake || die "Spectemu make failed"
}
-src_install () {
-
-### Here's our make install, nothing special here, houston, we are
-### go for launch.
-
+src_install() {
+ ### Here's our make install, nothing special here, houston, we are
+ ### go for launch.
make \
prefix=${D}/usr \
mandir=${D}/usr/share/man/man1 \
infodir=${D}/usr/share/info \
install || die "Spectemu make install failed"
}
-
diff --git a/app-emulation/tiger/tiger-0.8.ebuild b/app-emulation/tiger/tiger-0.8.ebuild
index 9337e628f80d..7c5914ab443d 100644
--- a/app-emulation/tiger/tiger-0.8.ebuild
+++ b/app-emulation/tiger/tiger-0.8.ebuild
@@ -1,17 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/tiger/tiger-0.8.ebuild,v 1.5 2004/06/24 22:34:51 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/tiger/tiger-0.8.ebuild,v 1.6 2004/06/27 23:07:16 vapier Exp $
DESCRIPTION="Ti-92 Graphing Calculator Emulator"
-SRC_URI="http://xtiger.sourceforge.net/files/${P}.tar.gz"
HOMEPAGE="http://xtiger.sourceforge.net/"
+SRC_URI="http://xtiger.sourceforge.net/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
KEYWORDS="x86 ~ppc"
+IUSE=""
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
media-libs/libggi"
src_compile() {
@@ -20,6 +20,6 @@ src_compile() {
src_install() {
dobin tiger || die
- dodoc AUTHORS COPYING ChangeLog HACKING INSTALL README
+ dodoc AUTHORS ChangeLog HACKING INSTALL README
doman debian/tiger.1
}
diff --git a/app-emulation/uae/uae-0.8.22.ebuild b/app-emulation/uae/uae-0.8.22.ebuild
index 3d5c2d8bb2ae..ab7033015167 100644
--- a/app-emulation/uae/uae-0.8.22.ebuild
+++ b/app-emulation/uae/uae-0.8.22.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.22.ebuild,v 1.14 2004/06/24 22:35:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.22.ebuild,v 1.15 2004/06/27 23:07:53 vapier Exp $
inherit eutils
@@ -13,7 +13,7 @@ SLOT="0"
KEYWORDS="x86 ~ppc amd64"
IUSE="X gtk svga sdl"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
X? (
virtual/x11
gtk? ( x11-libs/gtk+ )
@@ -53,7 +53,7 @@ src_compile() {
}
src_install() {
- dobin uae readdisk
+ dobin uae readdisk || die
cp docs/unix/README docs/README.unix
dodoc docs/*
diff --git a/app-emulation/uae/uae-0.8.23_pre20040129.ebuild b/app-emulation/uae/uae-0.8.23_pre20040129.ebuild
index 25bd82f3c5fa..64889d94ac22 100644
--- a/app-emulation/uae/uae-0.8.23_pre20040129.ebuild
+++ b/app-emulation/uae/uae-0.8.23_pre20040129.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.23_pre20040129.ebuild,v 1.5 2004/06/24 22:35:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.23_pre20040129.ebuild,v 1.6 2004/06/27 23:07:53 vapier Exp $
inherit flag-o-matic
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="X gtk sdl ncurses svga"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
X? (
virtual/x11
gtk? ( x11-libs/gtk+ )
diff --git a/app-emulation/uae/uae-0.8.25_pre20040302.ebuild b/app-emulation/uae/uae-0.8.25_pre20040302.ebuild
index 117da6f6558c..e750e0f0fe43 100644
--- a/app-emulation/uae/uae-0.8.25_pre20040302.ebuild
+++ b/app-emulation/uae/uae-0.8.25_pre20040302.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.25_pre20040302.ebuild,v 1.7 2004/06/24 22:35:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/uae/uae-0.8.25_pre20040302.ebuild,v 1.8 2004/06/27 23:07:53 vapier Exp $
inherit flag-o-matic
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="X gtk sdl ncurses svga"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
X? (
virtual/x11
gtk? ( x11-libs/gtk+ )
diff --git a/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild b/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild
index afc5400f87f6..05908066cd65 100644
--- a/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild
+++ b/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild,v 1.3 2004/06/24 22:36:09 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-console/vmware-console-2.5.1.5336.ebuild,v 1.4 2004/06/27 23:08:30 vapier Exp $
MY_PN="VMware-console-2.5.1-5336.tar.gz"
S="${WORKDIR}/vmware-console-distrib"
@@ -12,17 +12,17 @@ SRC_URI="${MY_PN}"
LICENSE="vmware-console"
SLOT="0"
KEYWORDS="x86"
-RESTRICT="fetch nostrip"
IUSE=""
+RESTRICT="fetch nostrip"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
virtual/x11"
pkg_nofetch() {
einfo "Please place ${FN} in ${DISTDIR}"
}
-src_install () {
+src_install() {
dodir /opt/vmware/bin
cp -a bin/* ${D}/opt/vmware/bin/
diff --git a/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild b/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild
index fab687d9c6d9..3602794e65fb 100644
--- a/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild
+++ b/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild,v 1.3 2004/06/24 22:36:09 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-console/vmware-console-3.0.0.7592.ebuild,v 1.4 2004/06/27 23:08:30 vapier Exp $
MY_PN="VMware-console"
MY_PV=`echo ${PV} | sed -e 's/\.\([0-9]\+\)$/-\1/'`
@@ -15,17 +15,17 @@ SRC_URI="${FN}"
LICENSE="vmware"
SLOT="0"
KEYWORDS="~x86"
-RESTRICT="fetch nostrip"
IUSE="esx"
+RESTRICT="fetch nostrip"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
virtual/x11"
pkg_nofetch() {
einfo "Please obtain ${FN} and place it in ${DISTDIR}"
}
-src_install () {
+src_install() {
# Set up config database
echo 'libdir = "/opt/vmware-console/lib"' >etc/config
cat >etc/locations <<EOF
diff --git a/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild b/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild
index ffaa9b27b837..f6a8b09b9ac7 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild,v 1.9 2004/06/24 22:36:21 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-3.2.1.2242-r1.ebuild,v 1.10 2004/06/27 23:08:53 vapier Exp $
# Unlike many other binary packages the user doesn't need to agree to a licence
# to download VM Ware. The agreeing to a licence is part of the configure step
@@ -29,7 +29,7 @@ KEYWORDS="-* x86"
IUSE=""
RESTRICT="nostrip"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
virtual/x11
virtual/os-headers
>=dev-lang/perl-5
@@ -45,10 +45,9 @@ src_unpack() {
}
src_compile() {
-
-has_version \<sys-libs/glibc-2.3.2 \
- && GLIBC_232=0 \
- || GLIBC_232=1
+ has_version '<sys-libs/glibc-2.3.2' \
+ && GLIBC_232=0 \
+ || GLIBC_232=1
if [ ${GLIBC_232} -eq 1 ] ; then
$(gcc-getCC) -W -Wall -shared -o vmware-glibc-2.3.2-compat.so \
@@ -174,7 +173,7 @@ pkg_preinst() {
done
}
-pkg_postinst () {
+pkg_postinst() {
# This is to fix the problem where the not_configured file doesn't get
# removed when the configuration is run. This doesn't remove the file
# It just tells the vmware-config.pl script it can delete it.
diff --git a/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild b/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild
index ef2b0539ea55..a7c0e3ff9931 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild,v 1.6 2004/06/24 22:36:21 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-4.5.1.7568-r1.ebuild,v 1.7 2004/06/27 23:08:53 vapier Exp $
# Unlike many other binary packages the user doesn't need to agree to a licence
# to download VMWare. The agreeing to a licence is part of the configure step
@@ -35,7 +35,7 @@ KEYWORDS="-* x86 -amd64"
# For more information, see bugs #49203 #49163 #47023
RESTRICT="nostrip"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
virtual/x11
virtual/os-headers
>=dev-lang/perl-5
diff --git a/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild b/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild
index e75a1225f790..6349d44a9ff2 100644
--- a/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild
+++ b/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild,v 1.4 2004/06/24 22:36:21 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-workstation/vmware-workstation-4.5.2.8848.ebuild,v 1.5 2004/06/27 23:08:53 vapier Exp $
# Unlike many other binary packages the user doesn't need to agree to a licence
# to download VMWare. The agreeing to a licence is part of the configure step
@@ -39,7 +39,7 @@ KEYWORDS="-* ~x86 -amd64"
# interested in VMware on amd64, you should add yourself to the CC of that bug.
RESTRICT="nostrip"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
virtual/x11
virtual/os-headers
>=dev-lang/perl-5
diff --git a/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild b/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild
index efbfdb4dc7e3..340891a8a844 100644
--- a/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild
+++ b/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild
@@ -1,18 +1,18 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild,v 1.9 2004/06/24 22:36:54 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winesetuptk/winesetuptk-0.6.0b-r3.ebuild,v 1.10 2004/06/27 23:09:41 vapier Exp $
MY_P1=tcltk-${P}
MY_P=${P/-/_}-1.1
S=${WORKDIR}/${P}
DESCRIPTION="Setup tool for WiNE adapted from Codeweavers by Debian"
-SRC_URI="mirror://debian/pool/main/w/winesetuptk/${MY_P}.tar.gz"
HOMEPAGE="http://packages.debian.org/unstable/otherosfs/winesetuptk.html"
+SRC_URI="mirror://debian/pool/main/w/winesetuptk/${MY_P}.tar.gz"
-SLOT="0"
LICENSE="as-is"
-KEYWORDS="x86 -ppc -sparc -alpha -hppa -mips"
+SLOT="0"
+KEYWORDS="-* x86"
IUSE=""
DEPEND="virtual/x11"
@@ -21,8 +21,8 @@ src_unpack() {
unpack ${MY_P}.tar.gz
cd ${S}
- tar zxf ${MY_P1}.tar.gz
- tar zxf ${P}.tar.gz
+ tar zxf ${MY_P1}.tar.gz || die
+ tar zxf ${P}.tar.gz || die
}
src_compile() {
@@ -46,7 +46,7 @@ src_compile() {
make || die "make failed"
}
-src_install () {
+src_install() {
cd ${S}/${P}
make \
PREFIX_LAUNCHER=${D}/usr/bin \
diff --git a/app-emulation/winesetuptk/winesetuptk-0.7.ebuild b/app-emulation/winesetuptk/winesetuptk-0.7.ebuild
index 827410ef958e..cfe6eb106c29 100644
--- a/app-emulation/winesetuptk/winesetuptk-0.7.ebuild
+++ b/app-emulation/winesetuptk/winesetuptk-0.7.ebuild
@@ -1,17 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winesetuptk/winesetuptk-0.7.ebuild,v 1.5 2004/06/24 22:36:54 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winesetuptk/winesetuptk-0.7.ebuild,v 1.6 2004/06/27 23:09:41 vapier Exp $
MY_P1=tcltk-${P}
MY_P=${P/-/}
S=${WORKDIR}/${MY_P}
DESCRIPTION="Setup tool for WiNE adapted from Codeweavers by Debian"
+HOMEPAGE="http://www.winehq.org/"
SRC_URI="mirror://sourceforge/wine/winesetuptk-0.7.tar.gz"
-HOMEPAGE="http://www.winehq.org"
-SLOT="0"
LICENSE="as-is"
+SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
@@ -38,7 +38,7 @@ src_compile() {
make || die "make failed"
}
-src_install () {
+src_install() {
cd ${S}/${P}
make \
PREFIX_LAUNCHER=${D}/usr/bin \
diff --git a/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild b/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild
index 72a8042960dc..0716f2e2ed18 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild
@@ -1,16 +1,17 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild,v 1.7 2004/06/24 22:37:27 agriffis Exp $
-
-IUSE="cups opengl"
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-2.2.1.ebuild,v 1.8 2004/06/27 23:10:13 vapier Exp $
MY_P="winex-${PV}"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
HOMEPAGE="http://www.transgaming.com/"
+SRC_URI="winex-${PV}"
+LICENSE="Aladdin"
SLOT="2.2.1"
KEYWORDS="x86"
-LICENSE="Aladdin"
+IUSE="cups opengl"
+RESTRICT="fetch"
RDEPEND="virtual/x11
opengl? ( virtual/opengl )
@@ -19,21 +20,13 @@ RDEPEND="virtual/x11
>=media-libs/freetype-2.0.0
!app-emulation/winex"
-src_unpack () {
- if [ ! -e "${DISTDIR}/${MY_P}.tgz" ] ; then
- eerror ""
- eerror "Please download the appropriate WineX archive (${MY_P}.tgz)"
- eerror "from: ${HOMEPAGE} (requires a Transgaming subscription)."
- eerror ""
- eerror "The archive should be placed into ${DISTDIR}."
- eerror ""
-
- die "package archive (${MY_P}.tgz) not found"
- fi
- unpack "${MY_P}.tgz"
+pkg_nofetch() {
+ einfo "Please download the appropriate WineX archive (${MY_P}.tgz)"
+ einfo "from: ${HOMEPAGE} (requires a Transgaming subscription)."
+ einfo "The archive should be placed into ${DISTDIR}."
}
-src_install () {
+src_install() {
mv "${WORKDIR}/usr" "${D}"
}
diff --git a/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild b/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild
index 378752da0432..adcb4b5a0b6e 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild,v 1.3 2004/06/24 22:37:27 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.2.1.ebuild,v 1.4 2004/06/27 23:10:13 vapier Exp $
MY_P="winex3_${PV}-1.i386"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
@@ -27,7 +27,7 @@ pkg_nofetch() {
einfo "Then put the file in ${DISTDIR}"
}
-src_install () {
+src_install() {
mv ${WORKDIR}/usr ${D}
}
diff --git a/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild b/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild
index 8ab632eb614f..e83b996aec96 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild,v 1.3 2004/06/24 22:37:27 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.2.ebuild,v 1.4 2004/06/27 23:10:13 vapier Exp $
MY_P="winex3_${PV}-1.i386"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
@@ -27,7 +27,7 @@ pkg_nofetch() {
einfo "Then put the file in ${DISTDIR}"
}
-src_install () {
+src_install() {
mv ${WORKDIR}/usr ${D}
}
diff --git a/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild b/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild
index 7392e342f0db..bdd2c60921a7 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild,v 1.2 2004/06/24 22:37:27 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.1.ebuild,v 1.3 2004/06/27 23:10:13 vapier Exp $
MY_P="winex3_${PV}-1.i386"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
@@ -27,7 +27,7 @@ pkg_nofetch() {
einfo "Then put the file in ${DISTDIR}"
}
-src_install () {
+src_install() {
mv ${WORKDIR}/usr ${D}
}
diff --git a/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild b/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild
index 98c9c36ad929..6b2dfebe995e 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild,v 1.2 2004/06/24 22:37:27 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.2.ebuild,v 1.3 2004/06/27 23:10:13 vapier Exp $
MY_P="winex3_${PV}-1.i386"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
@@ -27,7 +27,7 @@ pkg_nofetch() {
einfo "Then put the file in ${DISTDIR}"
}
-src_install () {
+src_install() {
mv ${WORKDIR}/usr ${D}
}
diff --git a/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild b/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild
index 7ee98bb154c9..eb8d0261a673 100644
--- a/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild
+++ b/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild,v 1.3 2004/06/24 22:37:27 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/winex-transgaming/winex-transgaming-3.3.ebuild,v 1.4 2004/06/27 23:10:13 vapier Exp $
MY_P="winex3_${PV}-1.i386"
DESCRIPTION="WineX is a distribution of Wine with enhanced DirectX for gaming"
@@ -27,7 +27,7 @@ pkg_nofetch() {
einfo "Then put the file in ${DISTDIR}"
}
-src_install () {
+src_install() {
mv ${WORKDIR}/usr ${D}
}
diff --git a/app-emulation/xcopilot/xcopilot-0.6.6.ebuild b/app-emulation/xcopilot/xcopilot-0.6.6.ebuild
index 21791ff762aa..f83274737528 100644
--- a/app-emulation/xcopilot/xcopilot-0.6.6.ebuild
+++ b/app-emulation/xcopilot/xcopilot-0.6.6.ebuild
@@ -1,21 +1,21 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/xcopilot/xcopilot-0.6.6.ebuild,v 1.3 2004/06/24 22:37:38 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/xcopilot/xcopilot-0.6.6.ebuild,v 1.4 2004/06/27 23:10:34 vapier Exp $
MY_P="xcopilot-0.6.6-uc0"
-DESCRIPTION="A pilot emulator."
+DESCRIPTION="A pilot emulator"
+HOMEPAGE="http://www.uclinux.org/"
SRC_URI="http://www.uclinux.org/pub/uClinux/utilities/${MY_P}.tar.gz"
-HOMEPAGE="http://www.uclinux.org"
-KEYWORDS="~x86 ~ppc"
-SLOT="0"
LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~ppc"
IUSE=""
-DEPEND="virtual/glibc
- virtual/x11
- app-arch/dpkg"
+DEPEND="virtual/libc
+ virtual/x11
+ app-arch/dpkg"
RDEPEND=""
S="${WORKDIR}/${MY_P}"
@@ -28,6 +28,8 @@ src_compile() {
src_install() {
einstall || die
dodoc AUTHORS README NEWS README.uClinux
+}
- einfo "See ${D}/usr/share/${P}/README.uClinux for more info"
+pkg_postinst() {
+ einfo "See /usr/share/doc/${PF}/README.uClinux for more info"
}